ItemEvents.entityInteracted(e => {

  if (e.target.type == "mowziesmobs:umvuthi") {
    e.cancel()
  }

})

BlockEvents.rightClicked(e => {

  let {block} = e;
  
  let blocked = [
    "minecraft:enchanting_table",
    "bountiful:bountyboard"
  ]

  if (blocked.includes(block.id)) {
    e.cancel()
  }

})